FixedKeySet (cglib (Version 2.2.2))
Date: 2016-02-19

net.sf.cglib.beans

## Class FixedKeySet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet
    - - net.sf.cglib.beans.FixedKeySet

- All Implemented Interfaces:
    java.lang.Iterable, java.util.Collection, java.util.Set

      public class FixedKeySet
      extends java.util.AbstractSet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedKeySet(java.lang.String[] keys)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator` | `iterator()`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode, removeAll`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray`

- - ### Constructor Detail

    - #### FixedKeySet

          public FixedKeySet(java.lang.String[] keys)

  - ### Method Detail

    - #### iterator

          public java.util.Iterator iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable`
      Specified by:
        `iterator` in interface `java.util.Collection`
      Specified by:
        `iterator` in interface `java.util.Set`
      Specified by:
        `iterator` in class `java.util.AbstractCollection`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection`
      Specified by:
        `size` in interface `java.util.Set`
      Specified by:
        `size` in class `java.util.AbstractCollection`

Copyright (c) 2001 - Apache Software Foundation